using System;
using System.Reflection;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace csScriptor
{
  public partial class AboutForm : Form
  {
    public AboutForm()
    {
      InitializeComponent();
      
      Assembly SampleAssembly = 
        Assembly.Load(Assembly.GetExecutingAssembly().FullName);

      string AppTitle= "",AppCopyright="",AppDescr = "", AppCpny ="";

      foreach (Attribute a in SampleAssembly.GetCustomAttributes(true))
      {
        if (a is AssemblyTitleAttribute)
          AppTitle = 
            (a as AssemblyTitleAttribute).Title+" "+this.ProductVersion ;

        if (a is AssemblyCopyrightAttribute)
          AppCopyright= 
            (a as AssemblyCopyrightAttribute).Copyright;

        if (a is AssemblyCompanyAttribute)
          AppCpny =
            (a as AssemblyCompanyAttribute).Company;

        if (a is AssemblyDescriptionAttribute)
          AppDescr=  
            (a as AssemblyDescriptionAttribute).Description;
      }

      labelAbout.Text = AppTitle + "\n\n" + AppDescr + "\n\nMade by "
        +AppCpny+"\n\n"+ AppCopyright;
     
      // only if licence file exists
      if (File.Exists(Application.StartupPath + "\\LICENSE.txt"))
      {
        licenceTextBox.Enabled = true;
        Stream licenseFileStream = new FileStream(
          Application.StartupPath + "\\LICENSE.txt",
          FileMode.Open, FileAccess.Read);
        StreamReader licenseFileStreamReader = 
          new StreamReader(licenseFileStream);
        string licenseString = licenseFileStreamReader.ReadToEnd();
        licenceTextBox.Text = licenseString;
        licenseFileStreamReader.Close();
        licenseFileStream.Close();
      }
    }
  }
}