using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace csScriptor
{
  public partial class SettingsForm : Form
  {
    const int SCARD_PROTOCOL_T0 = 1;
    const int SCARD_PROTOCOL_T1 = 2;
    const int SCARD_PROTOCOL_RAW = 0x00010000;

    private int defaultProtocol = SCARD_PROTOCOL_T0 | SCARD_PROTOCOL_T1;
    private string defaultReader = "";
    
    public SettingsForm(MainForm formScriptor)
    {
      InitializeComponent();
      string[] cReaders = formScriptor.getListReaders();
      foreach (string cName in cReaders)
      {
        comboBoxListReaders.Items.Add(cName);
      }
    }

    public string getReader()
    {
      return this.defaultReader;
    }

    public int getProtocol()
    {
      return this.defaultProtocol;
    }

    private void rBT0_CheckedChanged(object sender, EventArgs e)
    {
      if(rBT0.Checked == true)
        this.defaultProtocol = SCARD_PROTOCOL_T0;
    }

    private void rBT1_CheckedChanged(object sender, EventArgs e)
    {
      if(rBT1.Checked == true)
        this.defaultProtocol = SCARD_PROTOCOL_T1;
    }

    private void rBTRAW_CheckedChanged(object sender, EventArgs e)
    {
      if (rBTRAW.Checked == true)
        this.defaultProtocol = SCARD_PROTOCOL_RAW;
    }

    private void rBT0T1_CheckedChanged(object sender, EventArgs e)
    {
      if (rBT0T1.Checked == true)
        this.defaultProtocol = SCARD_PROTOCOL_T0 | SCARD_PROTOCOL_T1;
    }

    private void comboBoxListReaders_SelectedIndexChanged(object sender,
      EventArgs e)
    {
      this.defaultReader = comboBoxListReaders.SelectedItem.ToString();
    }



  }
}